Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Avidemux Great Video editing/encoding tool
Name:		avidemux
Version:	2.4.2
Release:	1
Group:		Multimedia/Video
License:	GPL
Source:		%{name}_2.4.2.tar.gz
Source1:	%{name}.desktop
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	liba52-devel lame-devel libxml2-devel gtk2+-devel faac-devel faad2-devel
BuildRequires:	libmad-devel xvidcore-devel nasm libogg-devel libvorbis-devel arts-devel
BuildRequires:	freetype-devel alsa-lib-devel SDL-devel autoconf automake pango-devel atk-devel
BuildRequires:	ffmpeg-devel xulrunner-devel x264-devel libXv-devel subversion DirectFB-devel
BuildRequires:	sysfsutils-devel qt4-devel aften-devel libsamplerate-devel amrnb-devel 
Requires:	liba52 lame libxml2 gtk2+ faac faad2 libmad xvidcore libogg libvorbis arts
Requires:	freetype alsa-lib SDL pango atk 

%description
Avidemux is a graphical tool to edit AVI. It allows you to multiplex and
demultiplex audio to/from video.

It is able to cut video, import BMP, MJPEG and MPEG video, and encode them.
You can also process video with included filters. It requires a DivX
compatible encoder and the Gimp Toolkit (GTK) libraries.

%prep
%setup -q -n %{name}_2.4.2

%build
export QTDIR=/opt/qt4
export PATH="/opt/qt4/bin:$PATH:/opt/kde/bin"
export LDFLAGS="$LDFLAGS -L/usr/lib/firefox"
export CPPFLAGS="$CPPFLAGS -I/usr/include/firefox/js"
cmake . -DCMAKE_INSTALL_PREFIX:STRING="%_prefix"
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -m 644 avidemux_icon.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/avidemux.png
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/
ln -s avidemux2_gtk ${RPM_BUILD_ROOT}%{_bindir}/avidemux

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ChangeLog History 
%{_bindir}/avidemux2_cli
%{_bindir}/avidemux2_gtk
%{_bindir}/avidemux
%{_datadir}/pixmaps/avidemux.png
%{_datadir}/applications/avidemux.desktop
%{_datadir}/locale
%{_bindir}/avidemux2_qt4
%{_datadir}/locale/*/LC_MESSAGES/avidemux.mo
%exclude %{_bindir}/i18n

%changelog
* Tue Jul 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.2-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.4s-1
- Version Update to final version (aka stable)
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.4p2-2
- Version update to SVN Revision 3681
- rebuild against new x264-20071104
* Thu Oct 25 2007 Christian Metzen <metzench@ccux-linux.de> 2.4p2-1
- Version update to 2.4 preview2
* Mon Jan 15 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-5
- Version Update to SVN Revision 2736
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-4
- Version Update to SVN Revision 2604
* Sat Nov 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-3
- Version Update to SVN Revision 2544
* Wed Sep 13 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-2
- Version Update to SVN Revision 2408
* Sun Aug 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-1
- Version Update to SVN Revision 2352
* Wed Mar 08 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.1.2-1
- Version Update
* Thu Jan 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.1.0-1
- Initial Release
